> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galtea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get aggregated performance data

> Get aggregated performance metrics data. See [Inference Results](https://docs.galtea.ai/concepts/product/version/session/inference-result).



## OpenAPI

````yaml https://api.galtea.ai/openapi.json get /inferenceResults/aggregatedData
openapi: 3.0.0
info:
  version: 1.0.0
  title: Product Management Service API
  description: API documentation for Product Management Service
  contact:
    name: Galtea AI
servers:
  - url: https://api.galtea.ai
security:
  - bearerAuth: []
tags: []
externalDocs:
  description: Galtea Platform Documentation
  url: https://docs.galtea.ai
paths:
  /inferenceResults/aggregatedData:
    get:
      tags:
        - inference-results
      summary: Get aggregated performance data
      description: >-
        Get aggregated performance metrics data. See [Inference
        Results](https://docs.galtea.ai/concepts/product/version/session/inference-result).
      operationId: getAggregatedData
      parameters:
        - name: ids
          in: query
          style: form
          explode: true
          description: Filter by inference result IDs
          required: false
          schema:
            type: array
            items:
              type: string
        - name: organizationIds
          in: query
          style: form
          explode: true
          description: Filter by organization IDs
          required: false
          schema:
            type: array
            items:
              type: string
        - name: productIds
          in: query
          style: form
          explode: true
          description: Filter by product IDs
          required: false
          schema:
            type: array
            items:
              type: string
        - name: versionIds
          in: query
          style: form
          explode: true
          description: Filter by version IDs
          required: false
          schema:
            type: array
            items:
              type: string
        - name: sessionIds
          in: query
          style: form
          explode: true
          description: Filter by session IDs
          required: false
          schema:
            type: array
            items:
              type: string
        - name: testIds
          in: query
          style: form
          explode: true
          description: >-
            Filter by test IDs (include only). Use an empty string ("") to
            select inference results from sessions without a test
          required: false
          schema:
            type: array
            items:
              type: string
        - name: excludeTestIds
          in: query
          style: form
          explode: true
          description: >-
            Omit inference results from sessions linked to the specified test
            IDs. Use an empty string ("") to omit inference results from
            sessions without a test
          required: false
          schema:
            type: array
            items:
              type: string
        - name: isProduction
          in: query
          description: Filter by the joined `Session.isProduction` flag.
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Aggregated data retrieved successfully
          content:
            application/json:
              schema:
                type: object
                description: Aggregated inference result data with evaluation scores
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          example: Error type
        message:
          type: string
          example: Error message description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authorization. Pass your API key in the Authorization header as
        a Bearer token. Both new (`gsk_*`) and legacy (`gsk-`) API keys are
        accepted, e.g. `Authorization: Bearer gsk_...` or `Authorization: Bearer
        gsk-...`.

````